[Bug 201972] [NEW] Please sync boinc 5.10.45-1 (universe) from Debian unstable (main).

Daniel Hahler launchpad at thequod.de
Thu Mar 13 22:44:22 GMT 2008


Public bug reported:

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

 affects ubuntu/boinc
 status confirmed
 importance wishlist
 subscribe ubuntu-archive

Please sync boinc 5.10.45-1 (universe) from Debian unstable (main).

This is a bugfix only release and therefore needs no ACKs from motu-release,
AFAICS.

Explanation of the Ubuntu delta and why it can be dropped:
Debian has integrated and improved the previous Ubuntu delta.

Changelog since current hardy version 5.10.30-5ubuntu3 (please note that
the Debian maintainer has included the changelog from Ubuntu):

boinc (5.10.45-1) unstable; urgency=low

  [ Frank S. Thomas ]
  * New upstream release.
  * debian/rules: Do not declare the patch and unpatch targets as phony,
    because the included /usr/share/quilt/quilt.make does this already.

 -- Frank S. Thomas <fst at debian.org>  Thu, 13 Mar 2008 01:04:38 +0100

boinc (5.10.44-1) unstable; urgency=low

  [ Frank S. Thomas ]
  * New upstream release.
    - BOINC Manager: Clear all cached messages and resume auto-scrolling when
      connected host has changed (cp. r14813, r14817). (closes: #468187)

 -- Frank S. Thomas <fst at debian.org>  Sat, 01 Mar 2008 15:07:05 +0100

boinc (5.10.43-1) unstable; urgency=low

  [ Frank S. Thomas ]
  * New upstream release.
    - BOINC Manager: Do not crash when closing. (closes: #444339)

 -- Frank S. Thomas <fst at debian.org>  Tue, 26 Feb 2008 17:58:31 +0100

boinc (5.10.42-1) unstable; urgency=low

  [ Frank S. Thomas ]
  * New upstream release.
  * debian/rules: Make the scripts /usr/share/bug/boinc-client/script and
    /usr/share/doc/boinc-manager/examples/run-boincmgr executable because
    they have a shebang. Thanks Lintian for noticing this.
  * debian/patches/: Updated 101_fix_memory_detection_on_kfreebsd.patch for
    the new release.
  * debian/watch: Only check for versions with an even minor version number.
    Versions with an odd minor version number are test releases which are not
    intended for a wider audience.
  * Reverted the debhelper compat level bump. It was just unnecessary (boinc
    does not need V6) and it would have made backporting harder.
  * Merged the workaround from Ubuntu's 5.10.30-5ubuntu3 for Linux's new CFS
    with the following changes:
    - Renamed debian/extra/udev-usr_share to debian/extra/udev-cpu_share
      because this name seems to be more appropriate since this script changes
      the boinc user's cpu_share.
    - Install udev-cpu_share into /usr/share/boinc-client instead of
      /usr/lib/boinc-client since it is an architecture-independent shell
      script.
    - Use lowercase variables in the init script because UID is set by bash
      and it complains when trying to overwrite it.
    Thanks to Daniel Hahler <daniel at thequod.de> for investigating this issue
    and the patch. (closes: #461630)

 -- Frank S. Thomas <fst at debian.org>  Mon, 25 Feb 2008 00:53:20 +0100

boinc (5.10.30-5ubuntu3) hardy; urgency=low

  * Install /usr/lib/boinc-client/udev-usr_share with correct perms
    (executable), so that it gets called by udevd.

 -- Daniel Hahler <ubuntu at thequod.de>  Mon, 04 Feb 2008 00:40:08 +0100

boinc (5.10.30-5ubuntu2) hardy; urgency=low

  * Revert changes from ubuntu1 and instead use the uevent udev
    interface to assign the lowest possible cpu_share to the
    boinc user. This is still considered to be a workaround.
    - Add debian/boinc-client.udev
    - debian/rules: call dh_installudev
    - Add debian/extra/udev-usr_share, which gets run by udevd
    - Drop debian/patches/ubuntu_temp_cfs_fix.patch
  * debian/boinc-client.init: Display cpu_share info for "status"
    action

 -- Daniel Hahler <ubuntu at thequod.de>  Sat, 02 Feb 2008 23:32:25 +0100

boinc (5.10.30-5ubuntu1) hardy; urgency=low

  * debian/patches/ubuntu_temp_cfs_fix.patch:
    Temporary workaround for the new CFS Linux scheduler,
    by adjusting the "boinc" user's cpu_share to the minimum (2)
    in the init script (LP: #177713)
  * Modify Maintainer value to match the DebianMaintainerField
    specification.

 -- Daniel Hahler <ubuntu at thequod.de>  Sat, 02 Feb 2008 02:48:01 +0100


-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.7 (GNU/Linux)

iD8DBQFH2a48fAK/hT/mPgARAhRsAKDL7DY4FjVYxzhMcmxxEIC4IKZDBgCfdKLi
TmaEg8+G4NCxUdgmEL9qMNM=
=ijso
-----END PGP SIGNATURE-----

** Affects: boinc (Ubuntu)
     Importance: Wishlist
         Status: Confirmed

-- 
Please sync boinc 5.10.45-1 (universe) from Debian unstable (main).
https://bugs.launchpad.net/bugs/201972
You received this bug notification because you are a member of Ubuntu
Package Archive Administrators, which is a direct subscriber.



More information about the ubuntu-archive mailing list